Bug Hunting Session
Bug 94466 - Empty Template Folders should not be displayed in the Template Manager
Summary: Empty Template Folders should not be displayed in the Template Manager
Status: CLOSED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2015-09-23 14:19 UTC by Harald Koester
Modified: 2016-09-01 15:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2015-09-23 14:19:49 UTC
In order to reproduce the bug:

[1] Start LibreOffice and open Template Manager: File > New > Templates.
[2] Select tab Documents. 8 template folders are displayed. 3 of them are empty: My templates, Presentation Backgrounds, Presentations. (By the way: In the folder styles no templates are displayed as thumbnails. This is also a bug. The folder is not empty.) The last two mentioned folders are used only for presentation templates and not for text documents. Hence the display of these folders in the tab Documents is wrong and confusing. Expected: No Display.
(BTW: The expression “Writer Documents” or “Text Document” for this tab would be better)
[3] Select tab Spreadsheets: All 8 displayed folders are empty! At least 7 of them are not planned to contain spreadsheet templates. Expected: No Display of these 7 folders.
[4] In the tabs Presentations and Drawings there are also several folders that do not contain any templates for presentations and drawings. Expected: Also no display of these folders.

By the way: To my opinion it would be better to call the folder “My templates” for each kind of template differently in order to avoid confusion: “My Text Document Templates”, “My Spreadsheet Templates, …
Comment 1 Buovjaga 2015-09-28 08:13:19 UTC
Let's ask UX.
Comment 2 Heiko Tietze 2015-09-28 11:34:24 UTC
The tabs work as kind of filter meaning you create a new folder and have it everywhere. Presentation templates are shown under Presentations, docs under Business Documents, for instance. Makes no sense to me. The dialog needs a revamp.
PS: Not to speak about flickers, the erratic toolbar, the double access from File:New and File:Templates, etc.
Comment 3 Regina Henschel 2016-03-20 13:33:25 UTC
I disagree with this. Without displaying "empty" folders, you are not able to import a template into this folder.
Comment 4 Akshay Deep 2016-05-25 10:15:31 UTC
https://gerrit.libreoffice.org/#/c/24545/

Fixed with this patch and some other patches for my GSoC project
Comment 5 Harald Koester 2016-08-31 14:28:04 UTC
Checked with version 5.2.0 and Win7. Hence the content of folders is no longer displayed in the template manager, it's no longer necessary to fix this bug.